System.Design 2.0.0.0 System.ComponentModel.Design.Data.DesignerDataTableBase

The class is one of several types that represent the schema of a data store at design-time. These schema items are made available to controls by designers implementing the interface. Controls access schema objects by calling the method of the interface.

The class represents a single table in the data store. A collection of objects is returned when you call the method with the parameter set to .

Represents a table in the data store.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class with the specified name.

  The name of the table.
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class with the specified name and owner.

  The name of the table.
  The owner of the table.
- Method
  2.0.0.0
  System.Collections.ICollection

  The method is called the first time the property is accessed, to populate the collection of data table relationships.

  When overridden in a derived class, returns a collection of relationship objects.

  A collection of objects.

- Property
  2.0.0.0
  System.Collections.ICollection To be added.

  A relationship describes a link between two tables in a data store. The property returns a collection that represents all the relationships between this table and other tables in the data store.

  Gets a collection of relationships defined for a table.